Skip to main content
GET
/
api
/
v1
/
contexts
List Context
curl --request GET \
  --url https://api.example.com/api/v1/contexts \
  --header 'Authorization: Basic <encoded-value>'
{
  "items": [
    {
      "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "last_active_at": "2023-11-07T05:31:56Z",
      "provider_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "metadata": {}
    }
  ],
  "total_count": 123,
  "next_page_token": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "has_more": false
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

limit
integer
Required range: 1 <= x <= 100
page_token
string<uuid> | null
order
string
Pattern: ^(asc|desc)$
order_by
string
Pattern: ^created_at|updated_at$
include_empty
boolean
default:true
provider_id
string<uuid> | null

Response

Successful Response

items
Context · object[]
required
total_count
integer
required
next_page_token
string<uuid> | null
required
has_more
boolean
default:false